## Font Scale Font Scale — Font size selection widget |

## Functions

GtkWidget * | font_manager_font_scale_new ()
GtkAdjustment * | font_manager_font_scale_get_adjustment ()
void | font_manager_font_scale_set_adjustment ()
gdouble | font_manager_font_scale_get_value ()
void | font_manager_font_scale_set_value ()

## Properties

GtkAdjustment * | adjustment | Read / Write
gdouble | value | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_FONT_SCALE
| FontManagerFontScale

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── FontManagerFontScale

## Implemented Interfaces

FontManagerFontScale implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <font-manager-font-scale.h>

## Description

Widget allowing for font size selection through use of a GtkScale, GtkSpinButton and two clickable GtkLabel widgets for quick selection of minimum and maximum sizes.

## Functions

### font_manager_font_scale_new ()

    GtkWidget *
    font_manager_font_scale_new (void);

#### Returns

A newly created FontManagerFontScale. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_font_scale_get_adjustment ()

    GtkAdjustment *
    font_manager_font_scale_get_adjustment
                                   (FontManagerFontScale *self);

#### Parameters

self | FontManagerFontScale |

#### Returns

The GtkAdjustment currently in use or `NULL`.

[transfer none][nullable]

### font_manager_font_scale_set_adjustment ()

    void
    font_manager_font_scale_set_adjustment
                                   (FontManagerFontScale *self,
                                    GtkAdjustment *adjustment);

#### Parameters

self | FontManagerFontScale |
adjustment | GtkAdjustment to use |

### font_manager_font_scale_get_value ()

    gdouble
    font_manager_font_scale_get_value (FontManagerFontScale *self);

#### Parameters

self | FontManagerFontScale |

#### Returns

The current value.

### font_manager_font_scale_set_value ()

    void
    font_manager_font_scale_set_value (FontManagerFontScale *self,
                                       gdouble value);

#### Parameters

self | FontManagerFontScale |
value | New value |

## Types and Values

### FONT_MANAGER_TYPE_FONT_SCALE

    #define FONT_MANAGER_TYPE_FONT_SCALE (font_manager_font_scale_get_type())

### FontManagerFontScale

    typedef struct _FontManagerFontScale FontManagerFontScale;

## Property Details

### The `“adjustment”` property

      “adjustment”               GtkAdjustment *

The GtkAdjustment in use.

Owner: FontManagerFontScale

Flags: Read / Write

### The `“value”` property

      “value”                    gdouble

The current value of FontManagerFontScale.

Owner: FontManagerFontScale

Flags: Read / Write

Allowed values: [6,96]

Default value: 10